/*
 * ATLAS
 * Architecture and Tools for Linguistic Analysis Systems
 * Author: Chris Laprun, Sylvain Pajot
 *
 * This software was developed at the National Institute of Standards and Technology by
 * employees of the Federal Government in the course of their official duties.  Pursuant to
 * Title 17 Section 105 of the United States Code this software is not subject to copyright
 * protection within the United States and is in the public domain. jATLAS is
 * an experimental system.  NIST assumes no responsibility whatsoever for its use by any party.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS."  With regard to this software, NIST MAKES NO EXPRESS
 * OR IMPLIED WARRANTY AS TO ANY MATTER WHATSOEVER, INCLUDING MERCHANTABILITY,
 * OR FITNESS FOR A PARTICULAR PURPOSE.
 */

package gov.nist.atlas;


/**
 * Children is a container for children Annotations of a given Annotation.
 * Children elements contain references to Annotations of a certain type and
 * can potentially defined the Content and the Region of its parent Annotation
 * if so defined by its type.
 *
 * @author Christophe Laprun
 * @version $Revision: 1.2 $
 *
 * @see Annotation
 *
 * @since 2.0 beta 4
 */
public interface AnnotationChildren extends AnnotationsHolder, Children {
  /**
   * <p>Returns the Content defined by the contained Annotations. This method
   * will be particularly useful in conjunction with advanced
   * constraints in MAIA.</p>
   *
   * <p><strong>NOT YET SUPPORTED.</strong></p>
   *
   *
   * @return the Content defined by the contained Annotations
   */
  Content getDefinedContent();

  /**
   * <p>Returns the Region defined by the contained Annotations. This method
   * will be particularly useful in conjunction with advanced
   * constraints in MAIA.</p>
   *
   * <p><strong>NOT YET SUPPORTED.</strong></p>
   *
   * @return the Region defined by the contained Annotations
   */
  Region getDefinedRegion();

  /**
   * @supplierCardinality 1..*
   * @stereotype reference
   * @label references
   */

  /*#Annotation lnkAnnotation;*/
}




