/* Generated by Together */

package gov.nist.atlas;

import gov.nist.atlas.util.ATLASElementSet;

public interface SignalsHolder {
  /**
   * Returns an ATLASElementSet containing all the Signals referenced by this SignalGroup.
   * @return an ATLASElementSet containing the Signals referenced by this SignalGroup
   */
  ATLASElementSet getAllSignals();

  /**
   * Returns the Signal with the specified role if it is contained in this SignalGroup.
   * @param role the role identifying the Signal to be retrieved
   * @return the contained Signal identified by the specifed role, <code>null</code> otherwise
   */
  Signal getSignalWithRole(String role);

  /**
   * Removes, if possible, the specified Signal from the set of subordinates with indefinite cardinality.
   * @param signal the Signal to be removed
   * @return <code>true</code> if the operation was succesful, <code>false</code> otherwise
   */
  boolean removeSignal(Signal signal);

  /**
   * Set the subordinate Signal to the specified value.
   * @param signal the subordinate Signal
   * @param role the role identifying which subordinate is to be set
   * @return <code>true</code> if the operation was succesful, <code>false</code> otherwise
   */
  boolean setSignalWithRole(Signal signal, String role);

  /**
   * Adds, if possible, the specified Signal to the set of subordinates with indefinite cardinality.
   * @param signal the Signal to be added
   * @return <code>true</code> if the operation was succesful, <code>false</code> otherwise
   */
  boolean addSignal(Signal signal);
}
