/*
 * ATLAS
 * Architecture and Tools for Linguistic Analysis Systems
 * Author: Chris Laprun, Sylvain Pajot
 *
 * This software was developed at the National Institute of Standards and Technology by
 * employees of the Federal Government in the course of their official duties.  Pursuant to
 * Title 17 Section 105 of the United States Code this software is not subject to copyright
 * protection within the United States and is in the public domain. jATLAS is
 * an experimental system.  NIST assumes no responsibility whatsoever for its use by any party.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS."  With regard to this software, NIST MAKES NO EXPRESS
 * OR IMPLIED WARRANTY AS TO ANY MATTER WHATSOEVER, INCLUDING MERCHANTABILITY,
 * OR FITNESS FOR A PARTICULAR PURPOSE.
 */
package gov.nist.atlas.impl.inmem;

import gov.nist.atlas.CorporaManager;

import java.io.IOException;
import java.net.URL;
import java.net.URLConnection;
import java.net.URLStreamHandler;

/**
 *
 * @version $Revision: 1.2 $
 * @author Christophe Laprun*/
public class Handler extends URLStreamHandler {
  protected URLConnection openConnection(URL u) throws IOException {
    return new InMemURLConnection(u);
  }

  static class InMemURLConnection extends URLConnection {
    public InMemURLConnection(URL url) {
      super(url);
    }

    public void connect() throws IOException {
      return; // nothing to do in our case
    }

    public Object getContent() throws IOException {
      return CorporaManager.getRegisteredCorpusWith(url.toExternalForm());
    }
  }
}
