/*
 * ATLAS
 * Architecture and Tools for Linguistic Analysis Systems
 * Author: Chris Laprun, Sylvain Pajot
 *
 * This software was developed at the National Institute of Standards and Technology by
 * employees of the Federal Government in the course of their official duties.  Pursuant to
 * Title 17 Section 105 of the United States Code this software is not subject to copyright
 * protection within the United States and is in the public domain. jATLAS is
 * an experimental system.  NIST assumes no responsibility whatsoever for its use by any party.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS."  With regard to this software, NIST MAKES NO EXPRESS
 * OR IMPLIED WARRANTY AS TO ANY MATTER WHATSOEVER, INCLUDING MERCHANTABILITY,
 * OR FITNESS FOR A PARTICULAR PURPOSE.
 */
package gov.nist.atlas.test;

import gov.nist.atlas.CorporaManager;
import gov.nist.atlas.Corpus;
import gov.nist.atlas.Signal;

/**
 * TestSignal tests the Signal interface
 *
 * @author Sylvain Pajot
 */
public class TestSignal extends AbstractATLASTest {

  public TestSignal(String name) {
    super(name);
  }

  public void setUp() {
    super.setUp();
    corpus = loadCorpus(CORPUS_NAME);
    signal = corpus.getSignalWithId(SIGNAL_ID);
  }

  public void testGetSignalType() {
    assertTrue(signal.getSignalType().getName().equals(SIGNAL_TYPE));
  }

//  public void testGetSize() {
//  }

  public void testIsGroup() {
    assertTrue(signal.isGroup() == false);
  }

  public void tearDown() {
    super.tearDown();
    CorporaManager.releaseCorpus(corpus);
  }

  private Corpus corpus;
  private Signal signal;
  private final static String CORPUS_NAME = "TestCorpus.aif.xml";
  private final static String SIGNAL_ID = "Sig1";
  private final static String SIGNAL_TYPE = "audio";

}
